%global upstream_name itsdangerous

%{!?python3_pkgversion: %global python3_pkgversion 34}

Name:           python%{python3_pkgversion}-%{upstream_name}
Version:        0.24
Release:        8%{?dist}
Summary:        Python library for passing trusted data to untrusted environments
License:        BSD
URL:            http://pythonhosted.org/itsdangerous/
Source0:        http://pypi.python.org/packages/source/i/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Itsdangerous is a Python library for passing data through untrusted 
environments (for example, HTTP cookies) while ensuring the data is not 
tampered with.

Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the 
implementation on the Django signing module. It also however supports JSON Web 
Signatures (JWS).

%prep
%setup -q -n %{upstream_name}-%{version}
rm -r *.egg-info

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} tests.py

%files
%doc LICENSE CHANGES README
%{python3_sitelib}/%{upstream_name}.py*
%{python3_sitelib}/%{upstream_name}*.egg-info
%{python3_sitelib}/__pycache__/%{upstream_name}*

%changelog
* Thu Mar 30 2017 Martin Juhl <mj@casalogic.dk> - 0.24-1
- Initial Release of seperate python3 package
